summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorAllan Sandfeld Jensen <allan.jensen@qt.io>2017-04-04 13:01:05 +0200
committerAllan Sandfeld Jensen <allan.jensen@qt.io>2017-04-04 14:44:05 +0000
commit31e8a66c6d858aa5698529de44ee075ffb0ebdb2 (patch)
tree2a3fa3e173a1453fe966fd9a40a52d706c3a19a7 /tools
parentcd3b4391640cccbfc1e6ac61bdf38aec8dc29f9a (diff)
Re-enable building with gcc 4.9.1
The code that gcc 4.9.1 stumpled on was rewritten in Chromium 56, so we should try and let compiler build webengine again. Change-Id: I9ccec7e93aaa384aefdf338e3822b78e0dc494f2 Reviewed-by: Michal Klocek <michal.klocek@qt.io> Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org>
Diffstat (limited to 'tools')
-rw-r--r--tools/qmake/mkspecs/features/functions.prf4
1 files changed, 0 insertions, 4 deletions
diff --git a/tools/qmake/mkspecs/features/functions.prf b/tools/qmake/mkspecs/features/functions.prf
index 1a1f3cf7..53194e42 100644
--- a/tools/qmake/mkspecs/features/functions.prf
+++ b/tools/qmake/mkspecs/features/functions.prf
@@ -221,10 +221,6 @@ defineTest(isSanitizerLinuxClangVersionSupported) {
}
defineTest(isGCCVersionSupported) {
- equals(QT_GCC_MAJOR_VERSION, 4):equals(QT_GCC_MINOR_VERSION, 9):lessThan(QT_GCC_PATCH_VERSION, 2) {
- skipBuild("Gcc 4.9.1 fails to compile QtWebEngine, please use another gcc version.")
- return(false)
- }
# The below will work for gcc 4.7 and up and also match gcc 5
greaterThan(QT_GCC_MINOR_VERSION, 6):return(true)
greaterThan(QT_GCC_MAJOR_VERSION, 4):return(true)